---
title: Notification.onclick
slug: Web/API/Notification/onclick
tags:
  - API
  - Notification
  - Notifications
  - Notifications API
  - Property
  - Reference
  - onclick
---
<p>{{APIRef("Web Notifications")}}{{AvailableInWorkers}}{{securecontext_header}}</p>

<p>The <strong><code>onclick</code></strong> property of the {{domxref("Notification")}} interface specifies an event listener to receive {{event("click")}} events. These events occur when the user clicks on a displayed {{domxref("Notification")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>Notification</var>.onclick = function(event) { ... };
</pre>

<p>The default behavior is to move the focus to the viewport of the notification's related <a href="https://html.spec.whatwg.org/multipage/browsers.html#browsing-context">browsing context</a>. If you don't want that behaviour, call {{domxref("Event/preventDefault", "preventDefault()")}} on the event object.</p>

<h2 id="Examples">Examples</h2>

<p>In the following example, we use an onclick handler to open a webpage in a new tab (specified by the inclusion of the <code>'_blank'</code> parameter) once a notification is clicked:</p>

<pre class="brush: js notranslate">notification.onclick = function(event) {
  event.preventDefault(); // prevent the browser from focusing the Notification's tab
  window.open('http://www.mozilla.org', '_blank');
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Web Notifications','#dom-notification-onclick','onclick')}}</td>
   <td>{{Spec2('Web Notifications')}}</td>
   <td>Living standard.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Notification.onclick")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Notification")}}</li>
 <li><a href="/en-US/docs/Web/API/Notifications_API/Using_the_Notifications_API">Using the Notifications API</a></li>
</ul>
